# RUN: yaml2obj < %s | llvm-nm - | FileCheck -strict-whitespace %s

# Check that wasm exports of functions/globals/data are displayed correctly

--- !WASM
FileHeader:
  Version:         0x00000001
Sections:
  - Type:            TYPE
    Signatures:
      - Index:           0
        ParamTypes:
          - I32
        ReturnTypes:
          - I32
  - Type:            FUNCTION
    FunctionTypes: [ 0 ]
  - Type:            GLOBAL
    Globals:
      - Index:       0
        Type:        I32
        Mutable:     false
        InitExpr:
          Opcode:          I64_CONST
          Value:           32
  - Type:            CODE
    Functions:
      - Index:           0
        Locals:
        Body:            00
  - Type:            DATA
    Segments:
      - SectionOffset:   6
        InitFlags:       0
        Offset:
          Opcode:          I32_CONST
          Value:           0
        Content:         '616263'
  - Type:            CUSTOM
    Name:            linking
    Version:         2
    SymbolTable:
       - Index:           0
         Kind:            FUNCTION
         Name:            fexport
         Flags:           [  ]
         Function:        0
       - Index:           1
         Kind:            GLOBAL
         Name:            gexport
         Flags:           [  ]
         Global:          0
       - Index:           2
         Kind:            DATA
         Name:            dexport
         Flags:           [  ]
         Segment:         0
         Size:            3
    SegmentInfo:
      - Index:           0
        Name:            .rodata.constantData
        Alignment:       1
        Flags:           [  ]

# CHECK:      00000000 D dexport
# CHECK-NEXT: 00000001 T fexport
# CHECK-NEXT: 00000000 D gexport
